Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Interface VariableManagerOwner

All Known Subinterfaces:
  RowSet, RowSetIterator, ViewObject, ViewObjectDynAttr, WSRowSet

All Known Implementing Classes:
  ComponentObjectImpl, oracle.adf.model.binding.DCBindingContainer, oracle.adf.model.binding.DCBindingContainerDef, oracle.jbo.server.DefObject, EntityCacheOverRowSet, JUVariableIteratorDef, ViewObjectImpl, ViewRowSetImpl, ViewRowSetIteratorImpl, ViewUsageImpl, WSObject, WSRowSetImpl, WSRowSetIteratorBase, WSRowSetIteratorImpl, WSViewObjectImpl

public interface VariableManagerOwner

This interface is implemented by objects that manage Variables. Specifically, it has accessors, ``getVariableManager()`` and ``ensureVariableManager()`` through which this object's ``VariableValueManager`` can be retrieved.

For example, ``ViewObjectImpl`` implements this interface. To be precise, ``ComponentObjectImpl`` implements it and `ViewObjectImpl` inherits it.

Since:
  JDeveloper 10.1.3

Method Summary
`VariableValueManager` | `ensureVariableManager()` Returns this object's Variable Value Manager.
`java.lang.Class` | `getMessageBundleClass()`
`java.lang.String` | `getName()` Returns the name of this Variable Manager Owner.
`VariableValueManager` | `getVariableManager()` Returns this object's current Variable Value Manager.
`boolean` | `hasVariables()` Returns a flag indicating whether this object has Variables or not.

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of this Variable Manager Owner.
  Returns:
    the name.

### hasVariables

    public boolean hasVariables()

  Returns a flag indicating whether this object has Variables or not.
  Returns:
    the flag indicating whether this object has Variables.

### getVariableManager

    public VariableValueManager getVariableManager()

  Returns this object's current Variable Value Manager. It will return `null` if Variable Value Manager has been initialized.

  When a framework object is first created, its Variable Value Manager may be null. This method does not initialize (create) the Variable Value Manager.

  ``ensureVariableManager()`` in contrast, ensures that the Variable Value Manager is initialized (created).

  Returns:
    this object's current Variable Value Manager. May return `null` if one was not yet initialized.

### ensureVariableManager

    public VariableValueManager ensureVariableManager()

  Returns this object's Variable Value Manager. If this object current has no Variable Value Manager, it will initialize (create) one.
  Returns:
    this object's Variable Value Manager. Will create a Variable Value Manager if this object had no Variable Value Manager.

### getMessageBundleClass

    public java.lang.Class getMessageBundleClass()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.